curl --request GET \
--url 'https://mrp.zolotenkov.ru/api/external/v1/security/telemetry?windowStart=2026-08-01T00%3A00%3A00Z&windowEnd=2026-08-02T00%3A00%3A00Z' \
--header 'Authorization: Bearer zol_pat_live_ВАШ_КЛЮЧ' \
--header 'Accept: application/json'
const response = await fetch("https://mrp.zolotenkov.ru/api/external/v1/security/telemetry?windowStart=2026-08-01T00%3A00%3A00Z&windowEnd=2026-08-02T00%3A00%3A00Z", {
method: "GET",
headers: {
"Authorization": "Bearer zol_pat_live_ВАШ_КЛЮЧ",
},
});
const data = await response.json();
import requests
response = requests.get(
"https://mrp.zolotenkov.ru/api/external/v1/security/telemetry?windowStart=2026-08-01T00%3A00%3A00Z&windowEnd=2026-08-02T00%3A00%3A00Z",
headers={
"Authorization": "Bearer zol_pat_live_ВАШ_КЛЮЧ",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
<?php
$curl = curl_init('https://mrp.zolotenkov.ru/api/external/v1/security/telemetry?windowStart=2026-08-01T00%3A00%3A00Z&windowEnd=2026-08-02T00%3A00%3A00Z');
curl_setopt_array($curl, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer zol_pat_live_ВАШ_КЛЮЧ",
"Accept: application/json",
],
]);
$response = curl_exec($curl);
var_dump(json_decode($response, true));
Ответ
{
"baseline": {
"days": 1,
"totals": {
"alerts": [
{
"maxNetworkVelocity": 1,
"observedTotal": 1,
"observedValue": 1,
"rule": "probable_automation_registrations",
"thresholdValue": 1,
"triggeredAtMinute": "2026-08-01T09:00:00Z",
"windowSeconds": 1
}
],
"alertsTriggered": 1,
"asnCoverageAvailable": false,
"asnCoveredRegistrations": 1,
"asnUnavailableRegistrations": 1,
"distinctAsnCount": 1,
"duplicateProfiles": {
"coverageAvailable": false,
"exactNormalizedEmail": {
"count": 1,
"rate": 0.12
}
},
"emailSignals": {
"categories": {
"businessOrOther": {},
"disposable": {},
"freeProvider": {},
"invalid": {}
},
"coverageAvailable": false,
"coveredAttempts": 1,
"unavailableAttempts": 1
},
"maxAsnRegistrationsPerMinute": 1,
"maxMaskedNetworkVelocity": 1,
"maxRegistrationsPerMinute": 1,
"passwordRecoveryOutcomes": {
"completed": 1,
"rateLimit": 1,
"recipientIneligible": 1,
"recipientMissing": 1,
"smtpFailed": 1,
"smtpSent": 1,
"tokenInvalid": 1
},
"registrationAbuseRejected": {
"automationUserAgent": 1,
"honeypot": 1,
"maxMaskedNetworkVelocity": 1,
"other": 1,
"rateLimit": 1
},
"registrationObservabilityAlertsTriggered": 1,
"registrationRequestOutcomes": {
"rateLimit": 1,
"serverError": 1,
"success": 1
},
"registrations": {
"internalClaimed": 1,
"internalVerified": 1,
"probableAutomation": 1,
"product": 1,
"raw": 1
},
"smtpOutcomes": {
"failed": 1,
"sent": 1
},
"userAgentCategories": {
"automation": 1,
"browser": 1,
"crawler": 1,
"missing": 1,
"other": 1
}
},
"windowEnd": "2026-08-01T09:00:00Z",
"windowStart": "2026-08-01T09:00:00Z"
},
"current": {
"alerts": [
{
"maxNetworkVelocity": 1,
"observedTotal": 1,
"observedValue": 1,
"rule": "probable_automation_registrations",
"thresholdValue": 1,
"triggeredAtMinute": "2026-08-01T09:00:00Z",
"windowSeconds": 1
}
],
"alertsTriggered": 1,
"asnCoverageAvailable": false,
"asnCoveredRegistrations": 1,
"asnUnavailableRegistrations": 1,
"distinctAsnCount": 1,
"duplicateProfiles": {
"coverageAvailable": false,
"exactNormalizedEmail": {
"count": 1,
"rate": 0.12
}
},
"emailSignals": {
"categories": {
"businessOrOther": {
"count": 1,
"rate": 0.12
},
"disposable": {
"count": 1,
"rate": 0.12
},
"freeProvider": {
"count": 1,
"rate": 0.12
},
"invalid": {
"count": 1,
"rate": 0.12
}
},
"coverageAvailable": false,
"coveredAttempts": 1,
"unavailableAttempts": 1
},
"maxAsnRegistrationsPerMinute": 1,
"maxMaskedNetworkVelocity": 1,
"maxRegistrationsPerMinute": 1,
"passwordRecoveryOutcomes": {
"completed": 1,
"rateLimit": 1,
"recipientIneligible": 1,
"recipientMissing": 1,
"smtpFailed": 1,
"smtpSent": 1,
"tokenInvalid": 1
},
"registrationAbuseRejected": {
"automationUserAgent": 1,
"honeypot": 1,
"maxMaskedNetworkVelocity": 1,
"other": 1,
"rateLimit": 1
},
"registrationObservabilityAlertsTriggered": 1,
"registrationRequestOutcomes": {
"rateLimit": 1,
"serverError": 1,
"success": 1
},
"registrations": {
"internalClaimed": 1,
"internalVerified": 1,
"probableAutomation": 1,
"product": 1,
"raw": 1
},
"smtpOutcomes": {
"failed": 1,
"sent": 1
},
"userAgentCategories": {
"automation": 1,
"browser": 1,
"crawler": 1,
"missing": 1,
"other": 1
}
},
"disposableEmailDatasetVersion": "2026-07-23",
"registrationActivation": {
"baseline": {
"totals": {
"externalRegistrations": 1,
"firstUsefulAction": 1,
"ssoCompleted": 1,
"welcomeCompleted": 1,
"withoutUsefulAction": 1
},
"windowEnd": "2026-08-01T09:00:00Z",
"windowStart": "2026-08-01T09:00:00Z"
},
"current": {
"totals": {
"externalRegistrations": 1,
"firstUsefulAction": 1,
"ssoCompleted": 1,
"welcomeCompleted": 1,
"withoutUsefulAction": 1
},
"windowEnd": "2026-08-01T09:00:00Z",
"windowStart": "2026-08-01T09:00:00Z"
},
"days": 1
},
"windowEnd": "2026-08-01T09:00:00Z",
"windowStart": "2026-08-01T09:00:00Z"
}
{
"error": "validation_failed",
"message": "customer_id must be a positive integer",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "unauthorized",
"message": "Missing Authorization header",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "forbidden",
"message": "Missing required scope 'read:security-telemetry'",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}
{
"error": "rate_limited",
"message": "Rate limit exceeded",
"request_id": "req_cyX5W3UaT8KsYDN7GUEkdW"
}